Chuyển đến nội dung
Diễn đàn CADViet
Jin Yong

Hỏi về Lisp (thuật toán, ý tưởng, coding,...)

Các bài được khuyến nghị

Có bác nào có mã của con virut acad ko ah ? Cho em xin với, em đang nghiên cứu xem khả năng của lisp với tới được đến đâu

;----------------------------------------------------

Xin cam đoan với các bác là em chỉ đơn thuần có mong muốn học hỏi, ko có ý định phá hoại j đâu ah

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có bác nào có mã của con virut acad ko ah ? Cho em xin với, em đang nghiên cứu xem khả năng của lisp với tới được đến đâu

;----------------------------------------------------

Xin cam đoan với các bác là em chỉ đơn thuần có mong muốn học hỏi, ko có ý định phá hoại j đâu ah

Ai biết <_ :undecided:>

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Có bác nào có mã của con virut acad ko ah ? Cho em xin với, em đang nghiên cứu xem khả năng của lisp với tới được đến đâu

;----------------------------------------------------

Xin cam đoan với các bác là em chỉ đơn thuần có mong muốn học hỏi, ko có ý định phá hoại j đâu ah

Mình đọc đâu đó trên diễn đàn này code của con virus sâu acad rồi thì phải. Hình như trong mục trang tin

A đây rồi: http://www.cadviet.com/cadnews/content/view/13/1/

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Ai biết <_< :wub:

Hì, bác Tue_NV cẩn thận quá rồi ^^

;----------------------------------------

:undecided: các bác cho e hỏi thêm câu nữa nhé, em đang nghịch ở phần hộp thoại DCL, nhưng cái phần image_button chưa được như ý, cụ tỉ nó như thế này : cái hình ảnh do file sld nó ko được vừa vặn so với cái khung của image, làm thế nào để cho khớp với nhau được bây h? cái này có liên quan gì với kíchthước của màn hình máy tính ko nhỉ ?

Em có ý tưởng đưa hình ảnh vào image button, ah` là ảnh bình thường chứ ko phải vẽ trên Cad đâu ah, liệu có thể? em thử nhét vào Cad gõ mslide thì hình ảnh nó nhạt nhòa. hX!

;----------------------------------------

Hì, lại là pfievxd đây, cái vấn đề trên e đang nghiên cứu sử dụng userform của VBA để thay thế DCL, nhớ là đã đọc ở đâu đó trên diễn đàn về sử dụng hàm nentsel và chọn khung lớn nhất trong block xref, chẹp nhưng mà có đến hơn 150 trang, lần mò xem được vài chục trang là nản, có bác nào từng động đến vấn đề này cho e xin cái link với...!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các anh cho em hỏi em muốn kiểm tra 1 file vlx đã appload chưa thì dùng hàm gì ạ?

Vì sao file .lsp đã appload mình appload tiếp thì không lỗi, mà file .vlx đã appload rồi mình appload tiếp thì lại báo lỗi ; error: LISP application is already loaded tkcg nhỉ?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Các anh cho em hỏi em muốn kiểm tra 1 file vlx đã appload chưa thì dùng hàm gì ạ?

Vì sao file .lsp đã appload mình appload tiếp thì không lỗi, mà file .vlx đã appload rồi mình appload tiếp thì lại báo lỗi ; error: LISP application is already loaded tkcg nhỉ?

Chắc mọi người không quan tâm vấn đề này nên không thấy ai trả lời giúp.

May là em search trên các diễn đãn khác nên cũng đã trả lời được câu hỏi của mình rồi.

Hàm (vl-vlx-loaded-p appname) kiểm tra file appname.vlx đã được appload chưa.

Hàm (vl-list-loaded-vlx) trả lại list chứa tấc cả các appname đã được appload.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế này các bác ah, thường là em viết 1 dòng chữ nào đó trên cad vẫn dùng (Command "TEXT" ..., vẫn luôn bị vướng trong 2 trường hợp style hiện hành có chiều cao chữ =0 và khác 0, vì như thế sẽ phải viết đoạn sau của lệnh trên khác đi, thế nên thường thì em cứ tạo cho nó 1 kiểu chữ cho chắc, chẹp, nói chung là giờ thấy ko hợp lý lắm nên muốn hỏi các bác xem cad nó có lưu giá trị chiều cao chữ của style hiện hành ko ah? Em search thử rồi nhưng chưa ra

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế này các bác ah, thường là em viết 1 dòng chữ nào đó trên cad vẫn dùng (Command "TEXT" ..., vẫn luôn bị vướng trong 2 trường hợp style hiện hành có chiều cao chữ =0 và khác 0, vì như thế sẽ phải viết đoạn sau của lệnh trên khác đi, thế nên thường thì em cứ tạo cho nó 1 kiểu chữ cho chắc, chẹp, nói chung là giờ thấy ko hợp lý lắm nên muốn hỏi các bác xem cad nó có lưu giá trị chiều cao chữ của style hiện hành ko ah? Em search thử rồi nhưng chưa ra

Bạn xem cái này, mục 3 và vài bài reply bên dưới

http://www.cadviet.com/forum/index.php?showtopic=2291&mode=threaded

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Thế này các bác ah, thường là em viết 1 dòng chữ nào đó trên cad vẫn dùng (Command "TEXT" ..., vẫn luôn bị vướng trong 2 trường hợp style hiện hành có chiều cao chữ =0 và khác 0, vì như thế sẽ phải viết đoạn sau của lệnh trên khác đi, thế nên thường thì em cứ tạo cho nó 1 kiểu chữ cho chắc, chẹp, nói chung là giờ thấy ko hợp lý lắm nên muốn hỏi các bác xem cad nó có lưu giá trị chiều cao chữ của style hiện hành ko ah? Em search thử rồi nhưng chưa ra

lấy chiều cao mặc định của textstyle hiện hành:

(cdr (assoc 40 (tblsearch "style" (getvar "textstyle"))))

PS: Sao bạn không xây dựng 1 hàm con để viết text bằng hàm entmake nhỉ. Ưu điểm là chạy nhanh hơn dùng command rất nhiều, không fụ thuộc vào các biến hệ thống liên quan đến textstyle, layer, color, width factor... và quan trọng là chẳng bao giờ fải lăn tăn về chiều cao chữ.

đây là hàm Maketext của mình, bạn có thể tham khảo và rút gọn nó cho fù hợp với nhu cầu của bạn.

(defun MakeText (point string Height Ang justify Style Layer Color xdata / Lst); Ang: Radial
(setq Lst (list '(0 . "TEXT")
		(cons 8 (if Layer Layer (getvar "Clayer")))
		(cons 62 (if Color Color 256))
		(cons 10 point)
		(cons 40 Height)
		(cons 1 string)
		(if Ang (cons 50 Ang))
		(cons 7 (if Style Style (getvar "Textstyle")))
		(cons -3 (if xdata (list xdata) nil)))
	justify (strcase justify))
(cond ((= justify "C") (setq Lst (append Lst (list (cons 72 1) (cons 11 point)))))
	((= justify "R") (setq Lst (append Lst (list (cons 72 2) (cons 11 point)))))
	((= justify "M") (setq Lst (append Lst (list (cons 72 4) (cons 11 point)))))
	((= justify "TL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 3)))))
	((= justify "TC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 3)))))
	((= justify "TR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 3)))))	
	((= justify "ML") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 2)))))
	((= justify "MC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 2)))))
	((= justify "MR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 2)))))
	((= justify "BL") (setq Lst (append Lst (list (cons 72 0) (cons 11 point) (cons 73 1)))))
	((= justify "BC") (setq Lst (append Lst (list (cons 72 1) (cons 11 point) (cons 73 1)))))
	((= justify "BR") (setq Lst (append Lst (list (cons 72 2) (cons 11 point) (cons 73 1))))))
(entmakex Lst));end

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hì, em dùng Command vì nó chỉ có 1 dòng lệnh đơn giản -> nhìn gọn hơn và dễ đọc hơn trong 1 chương trình lớn :D; okie, có lẽ chuyển sang dùng entmake cho đỡ lăn tăn vậy/ Ah`,cách dùng (if Color Color 256) có vẻ mới mẻ đây

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có làm 1 Lisp để chỉnh kích thuớc Dim và Text trong bản vẽ dựa vào kích thước Block khung tên như vầy :

 

http://www.cadviet.com/upfiles/3/ftnew.lsp

 

					;Can chinh text va dim
(defun C:fdt (/ maublk tenblk loai j ssblk blkname OldEcho OldOs)
 (vl-load-com)
 (setq OldEcho (getvar "cmdecho"))
 (setvar "cmdecho" 0)
 (command "undo" "be")
 (princ "\n      From nguyentuyen6 @CadViet ")
 (princ "\n Cai Express-Tools truoc khi su dung!!!")
				;chon mau blok khung ten
 (setq	maublk (car (entsel "\nChon Block khung ten: "))
tenblk (cdr (assoc 2 (entget maublk)))
loai   (cdr (assoc 0 (entget maublk)))
 )
				;lay tap hop tat ca cac blk khung ten
 (setq	ssblk (ssget "x" (list (cons 0 loai) (cons 2 tenblk)))
j     0
 )
				; Dat ty le
 (setq
   tileft    (cond (tileft)
	    (1)
      )
   tileftold tileft
   tileft    (getreal
	(strcat "\nChon ty le <" (rtos tileftold 2 2) ">: ")
      )
 )
 (if (= tileft nil)
   (setq tileft tileftold)
 )
				; xu ly tap blk khung ten
 (command "ZOOM" "e")
 (while (< j (sslength ssblk))
     
   (setq blkname (ssname ssblk j))
   (XuLyTextDim blkname)
   (setq j (1+ j))
 )
				; thong bao so blk khten
 (princ (strcat "\nDa Xu Ly : < "
	 (rtos (sslength ssblk) 2 0)
	 " > Khung Ten"
 )
 )
				;Tra lai bien he thong
 (command "undo" "e")
 (setvar "cmdecho" OldEcho)
 (princ "\n...Done...")
 (princ)
)

;;;;;;;;;;;;;;;;;;;;;;;;;
(defun BatDau ()
 (setq OldOs (getvar "osmode"))
 (setvar "osmode" 0)
)
(defun KetThuc () (setvar "osmode" OldOs) (princ))
(defun moddxf (dxf chdxf ss)
 (entmod
   (subst (cons dxf chdxf) (assoc dxf (entget ss)) (entget ss))
 )
)

;;;;;;;;;;;;;;;;;;;;;;;;;
(defun XuLyTextDim (khungxuly	    /	    Rec	    pt1	    pt2
	    rpt1    rpt2    rpt3    rpt4    dis12   dis14
	    dis	    toadodinh	    caodim  tilechu textgap
	    dimxtend	    i	    el1	    el	    ssd
	    en
	   )
 (setq	Rec (acet-ent-geomextents khungxuly)
pt1 (nth 0 Rec)			;lay dinh               *-----pt2
pt2 (nth 1 Rec)			;lay dinh               | khung |
i   0
 )					;setq                              pt1-----*	
				;-----acet-ent-geomextents:diem thap nhat trai va cao nhat phai, ve hcn
 (BatDau)
 (command "RECTANG" pt1 pt2)
 (KetThuc)
 (setq el1 (entlast))			;el1
				;-----lay tile, mac dinh la :1

				;-----lay dinh HCN = acet-geom-vertex-list
 (setq	toadodinh (acet-geom-vertex-list el1) ;    	  rpt4----rpt3
rpt1	  (nth 0 toadodinh)	;lay dinh                  |  el1 |
rpt2	  (nth 1 toadodinh)	;lay dinh                 rpt1----rpt2
rpt3	  (nth 2 toadodinh)	;lay dinh 
rpt4	  (nth 3 toadodinh)	;lay dinh
dis12	  (distance rpt1 rpt2)
dis14	  (distance rpt1 rpt4)
 )					;setq
				;----- Chia truong hop khung ngang va khung doc
 (if (> dis12 dis14)
   (setq caodim (* tileft (/ dis14 150))) ;T
   (setq caodim (* tileft (/ dis12 150))) ;F
 )					;if
 (setq	textgap	 (/ caodim 2)		; k/c tu Text den duong Dim
dimxtend (/ caodim 2)		;k/c dau dim 
tilechu	 (* caodim 1.2)		; cao Text so voi cao Dim(text)
 )
				;-----	
 (command "ERASE" el1 "")		;xoa hcn		 
 (princ (strcat "\nDim:<"
	 (rtos caodim 2 0)
	 ">. Text:<"
	 (rtos tilechu 2 0)
	 ">."
 )
 )
				;======================= M A I N =============================
 (setq ssd (ssget "_W" rpt2 rpt4 '((0 . "DIMENSION,TEXT"))))
;;;;;;;;;;;;;;;;;;;;
 (while (< i (sslength ssd))
   (setq en (ssname ssd i))
				;---- Text -----
   (if	(= (cdr (assoc 0 (entget en))) "TEXT")
     (moddxf 40 tilechu en)
   )					;if
				;-- DIMENSION -----
   (if	(= (cdr (assoc 0 (entget en))) "DIMENSION")
     (progn
(setq el (vlax-ename->vla-object en))
(vlax-put-property el 'ScaleFactor 1) ; chinh Scalefactor
(vlax-put-property el 'textheight caodim)
				; chieu cao text trong dim
(vlax-put-property el 'textgap textgap)
				; k/c tu Text den duong Dim
(vlax-put-property el 'ArrowheadSize dimxtend) ; do lon mui ten
(vlax-put-property el 'DimensionLineExtend dimxtend)
				;k/c 2 ben duong dim
(vlax-put-property el 'ExtensionLineExtend dimxtend)
				;k/c duong giong dim -> duong dim
(vlax-put-property el 'Arrowhead1Block "ArchTick")
				; loai mui ten
(vlax-put-property el 'Arrowhead2Block "ArchTick")
				; loai mui ten			
     )					;progn						  
   )					;if					  
   (setq i (1+ i))
 )					;while
				;---------------

)					;defun

 

Vấn đề là: Khi chạy lisp ở 1 vài bản vẽ bị lỗi ở cái hàng ( gần cuối lisp )

(vlax-put-property el 'DimensionLineExtend dimxtend)

;k/c 2 ben duong dim

(vlax-put-property el 'ExtensionLineExtend dimxtend)

;k/c duong giong dim -> duong dim

Cad nó báo như sau:

ActiveX Server returned the error: unknown name: DIMENSIONLINEEXTEND

Tất cả các Dim trong bản vẽ của mình đều cùng dùng 1 loại DimStyle

Mình không hiểu tại sao nó lại bị như vậy!!!????. Bác nào giúp mình chỗ này với

p/s: Nếu xóa bỏ 2 dòng kia đi thì lisp chạy băng băng

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có làm 1 Lisp để chỉnh kích thuớc Dim và Text trong bản vẽ dựa vào kích thước Block khung tên như vầy :

 

http://www.cadviet.com/upfiles/3/ftnew.lsp

.....

DIMENSIONLINEEXTEND[/b][/size]

Tất cả các Dim trong bản vẽ của mình đều cùng dùng 1 loại DimStyle

Mình không hiểu tại sao nó lại bị như vậy!!!????. Bác nào giúp mình chỗ này với

p/s: Nếu xóa bỏ 2 dòng kia đi thì lisp chạy băng băng

Bạn thử cái này nghe :

Tạo 1 hàm con kiểm tra xem cái DIMENSION xem nó có chưa thuộc tính Pro không? Nếu có thì gán luôn cho nó thuộc tính Pro, nếu không có thì bỏ qua bằng hàm con sau :

 

(defun Ktra_ganPro(obj pro gtrigan)

(if (vlax-property-available-p obj pro)

(vlax-put-property obj pro gtrigan)

)

)

 

Trong chương trình chính thì gọi như sau : (ví dụ thuộc tính scalefactor)

(Ktra_ganPro el 'scalefactor 1.0)

Các thuộc tính khác gọi hàm Ktra_ganPro để kiểm tra và gán tương tự

......

Chúc thành công. Nếu làm không được thì post cái file .dwg và file .lsp mà bạn làm lên đây, Tue_NV xem thế nào nhé.

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có làm 1 Lisp để chỉnh kích thuớc Dim và Text trong bản vẽ dựa vào kích thước Block khung tên như vầy :

 

http://www.cadviet.com/upfiles/3/ftnew.lsp

 

Vấn đề là: Khi chạy lisp ở 1 vài bản vẽ bị lỗi ở cái hàng ( gần cuối lisp )

(vlax-put-property el 'DimensionLineExtend dimxtend)

;k/c 2 ben duong dim

(vlax-put-property el 'ExtensionLineExtend dimxtend)

;k/c duong giong dim -> duong dim

Cad nó báo như sau:

ActiveX Server returned the error: unknown name: DIMENSIONLINEEXTEND

Tất cả các Dim trong bản vẽ của mình đều cùng dùng 1 loại DimStyle

Mình không hiểu tại sao nó lại bị như vậy!!!????. Bác nào giúp mình chỗ này với

p/s: Nếu xóa bỏ 2 dòng kia đi thì lisp chạy băng băng

Hề hề hề,

Mình không rành lắm về cái thằng ActiveX này , nhưng mình nghĩ bạn có thể kiểm tra các properties của nó bằng hàm (vlax-dump-object obj) thử coi xem cái đối tượng dim trong ActiveX của bạn có các thuộc tính đó không mà. Nếu không có thì nó báo lỗi là chí phải. Còn tại sao nó không có thì phải hỏi thằng ActveX của bạn chứ mình hổng biết.

Hề hề hề,...

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử cái này nghe :

Tạo 1 hàm con kiểm tra xem cái DIMENSION xem nó có chưa thuộc tính Pro không? Nếu có thì gán luôn cho nó thuộc tính Pro, nếu không có thì bỏ qua bằng hàm con sau :

 

(defun Ktra_ganPro(obj pro gtrigan)

(if (vlax-property-available-p obj pro)

(vlax-put-property obj pro gtrigan)

)

)

 

Trong chương trình chính thì gọi như sau : (ví dụ thuộc tính scalefactor)

(Ktra_ganPro el 'scalefactor 1.0)

Các thuộc tính khác gọi hàm Ktra_ganPro để kiểm tra và gán tương tự

......

Chúc thành công. Nếu làm không được thì post cái file .dwg và file .lsp mà bạn làm lên đây, Tue_NV xem thế nào nhé.

 

E thử làm như bạn và kết quả nó chạy được.

 

Nhưng mà cái chỗ có hay không có thuộc tính PRO đó có lẽ không phải vấn đề. Bởi e dùng 1 lisp khác tương tự thì nó lại thay đổi đc mà không cần phải kiểm tra bác ạ. Bác thử kiểm với bản vẽ này nhé

 

http://www.cadviet.com/upfiles/3/drawing2_12.dwg

 

Rồi dùng 2 lisp sau thấy khác biệt:

Dùng trước: http://www.cadviet.com/upfiles/3/ftnew_1.lsp

Dùng sau: http://www.cadviet.com/upfiles/3/ft.lsp

 

Thì thấy cái sau chỉnh đc tất.

 

Các bác xem hộ em với nhé !!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Mình có làm 1 Lisp để chỉnh kích thuớc Dim và Text trong bản vẽ dựa vào kích thước Block khung tên như vầy :

 

http://www.cadviet.com/upfiles/3/ftnew.lsp

.............

 

Vấn đề là: Khi chạy lisp ở 1 vài bản vẽ bị lỗi ở cái hàng ( gần cuối lisp )

(vlax-put-property el 'DimensionLineExtend dimxtend)

;k/c 2 ben duong dim

(vlax-put-property el 'ExtensionLineExtend dimxtend)

;k/c duong giong dim -> duong dim

Cad nó báo như sau:

ActiveX Server returned the error: unknown name: DIMENSIONLINEEXTEND

Tất cả các Dim trong bản vẽ của mình đều cùng dùng 1 loại DimStyle

Mình không hiểu tại sao nó lại bị như vậy!!!????. Bác nào giúp mình chỗ này với

p/s: Nếu xóa bỏ 2 dòng kia đi thì lisp chạy băng băng

Với thằng dimRadius hay dimDiameter thì làm gì có DimensionLineExtend nên Cad báo lỗi.

Bạn thử xóa mấy thằng đó đi, chỉ để dimLinear xem sao ?

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Với thằng dimRadius hay dimDiameter thì làm gì có DimensionLineExtend nên Cad báo lỗi.

Bạn thử xóa mấy thằng đó đi, chỉ để dimLinear xem sao ?

 

Em thử thêm 1 thằng dimLinear vẫn không sửa được = lisp đầu tiên bác ah

Em không biết tại sao nó không nhận cái DimensionLineExtendExtensionLineExtend trong lisp đầu tiên mặc dù các cái khác nó nhận đc hết :wub:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bác Tuệ cà bác Bình nói chí phải.Dùng hàm gọi thì tiện hơn nhiều ^^

Bạn cũng có thể dùng vl-catch-all-apply và các hàm liên quan để bắt lỗi, kiểm tra và bỏ qua nó.

Như ví dụ dưới đây, nếu 1 đối tượng trong tập chọn (line chẳng hạn) không có thuộc tính Height thì nó bỏ qua và chuyển sang đối tượng khác ^^

 

(defun c:1()

(foreach x (acet-ss-to-list (ssget))

(vl-catch-all-apply

'(lambda () (vlax-put-property (vlax-ename->vla-object x) 'Height 5))

)

)

)

 

P/S : srr, mình post bài nên mới biết bạn vừa gửi file, chưa có dịp test, n tạm thời bạn cứ thử ý kiến của mình xem sao

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Em thử thêm 1 thằng dimLinear vẫn không sửa được = lisp đầu tiên bác ah

Em không biết tại sao nó không nhận cái DimensionLineExtendExtensionLineExtend trong lisp đầu tiên mặc dù các cái khác nó nhận đc hết :wub:

Lisp Chạy ầm ầm

Tue_NV gửi lại file cho bạn chạy lại thử .

Bạn set thiều thuộc tính ArrowheadSize và TextGap thì Tue_NV cũng thêm vào rồi.

Bạn chạy lại thử

File cua bạn đây :

http://www.cadviet.com/upfiles/3/ftnew_1_1.lsp

Như anh gia_bach đã nói ở trên, cho nên để chắc chắn ta dùng hàm vlax-property-available-p để kiểm tra obj có thuộc tính Pro không rồi mới gán, nếu nó không có mà cứ gán thì .. báo lổi

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hix. Cho xin lỗi các bác!!!

Chắc tại lúc em copy với paste thế nào xóa nhầm mất thằng đấy lại cứ hỏi tại sao :wacko: . Làm các bác 1 phen vất vả. Hix

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cho em hỏi vấn đề về VIEWPORT. Đang ở môi trường layout, trong 1viewport.

Làm sao để lấy các thông số tỷ lệ view của viewport này là bao nhiêu XP.

Xin cảm ơn diễn đàn.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Cho em hỏi vấn đề về VIEWPORT. Đang ở môi trường layout, trong 1viewport.

Làm sao để lấy các thông số tỷ lệ view của viewport này là bao nhiêu XP.

Xin cảm ơn diễn đàn.

 

Xin lỗi mọi người. Sau khi post bài em đọc kỹ lại help đã có câu trả lời.

Vì diễn đàn không có chức năng xóa bài đã post.

Nhân đây em cũng ghi đáp án để có ai quan tầm

Note The ZOOM XP factor is calculated with the following formula: group_41 / group_45 (or pspace_height / mspace_height). _Trích help.

Em sẽ rút kinh nghiệm tự tìm hiểu kỹ trước khi post bài.

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hàm tạo thư mục bạn có thể tham khảo vl-mkdir

 

(defun makepath (path / temp items)

(vl-load-com)

(while (/= temp path)

(setq items (cons (vl-filename-base path) items)

temp path

path (vl-filename-directory path)

)

)

(foreach item (cdr items)

(vl-mkdir (strcat path item))

(setq path (strcat path item "\\"))

)

)

Tham khảo

Tham khảo

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Hàm tạo thư mục bạn có thể tham khảo vl-mkdir

 

 

Tham khảo

Tham khảo

Cám ơn bác Ketxu. Đã ổn hàm tạo thư mục. Còn hàm kiểm tra xem 1 file nào đó có được mở hay không?

(Với đuôi file bất kỳ). Ví dụ tôi đang mở 1 file excel "A.xls" và tôi muốn kiểm tra file này có đang

mở hay không, mục đích là để ghi file cho chắc ăn (vì khi file đang mở mà dùng (open "A.xls" "w") thì

nó xóa sạch nội dung cũ.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×